rmBaseline {PROcess} | R Documentation

## Batch Baseline Subtraction.

### Description

Baseline subtraction from each raw spectrum in 'fldr'.

### Usage

    rmBaseline(fldr, bseoffrda = NULL, breaks = 200, qntl = 0,
      method = "loess", bw = 0.1,
      SpecNames = list.files(fldr, pattern = "\.*csv\.*"))

### Arguments

`fldr` | a path to where the raw spectra are stored
`bseoffrda` | optional; name of the file (with extension .rda) where the baseline-substracted spectra, a matrix with row-names as the m/z values and column-names as the spectrum tags, will be saved to.
`breaks` | see bslnoff().
`qntl` | see bslnoff().
`method` | see bslnoff().
`bw` | see bslnoff().
`SpecNames` | a vector of character strings as spectrum names.

### Value

A matrix whose columns correspond to baseline-subtracted spectra with row-names as the m/z values and column-names as the spectrum names.

### Author(s)

Xiaochun Li

### See Also

`bslnoff'.

### Examples

    testdir <- system.file("Test", package = "PROcess")
    testM <- rmBaseline(testdir)

[Package PROcess version 1.6.3 Index]